From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/icingaweb2/
Date: Tue, 23 Jan 2018 07:34:14 +0000 (UTC) [thread overview]
Message-ID: <1516692837.d052cba5b9621faef0bedab3f5f685084349d16b.prometheanfire@gentoo> (raw)
commit: d052cba5b9621faef0bedab3f5f685084349d16b
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 23 07:33:57 2018 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Jan 23 07:33:57 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d052cba5
www-apps/icingaweb2: 2.5.1 bup
Package-Manager: Portage-2.3.19, Repoman-2.3.6
www-apps/icingaweb2/Manifest | 1 +
www-apps/icingaweb2/icingaweb2-2.5.1.ebuild | 79 +++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/www-apps/icingaweb2/Manifest b/www-apps/icingaweb2/Manifest
index 84448170a1a..837570c4179 100644
--- a/www-apps/icingaweb2/Manifest
+++ b/www-apps/icingaweb2/Manifest
@@ -1,2 +1,3 @@
DIST icingaweb2-2.4.2.tar.gz 7180122 BLAKE2B d3018ab2bbb9cbe501c638208d7546640b83775ef86e340b61c9a83bc8f250060c34a7dae74cc983252ff05747d951107ff5c7857aaa44dc387ce513843c503f SHA512 2a6f80561b59fde1b7ca72b8a120f93685a4741e7af036a90cdd5a1371f8e6d6caa25161f136b379255032b16b21914325a26f078121743d1299e96e7685ef53
DIST icingaweb2-2.5.0.tar.gz 8032968 BLAKE2B f0fab047da90ff514f715a8ddbf51d97beb1cd052513a523c63fbb97a424ecee8ff7b2c63a6e432cda3d70bdb1283641702d3ae1ff4146d084b312009ccdbe5e SHA512 9946c74033550accdc7077b3f77ce035931c72645871808ea488113d3545f8082460c1b8a4dffcb08f01d452fab54fd425e90e77cd006a7783b426132015498f
+DIST icingaweb2-2.5.1.tar.gz 8133540 BLAKE2B f5f9d2131f87160f7df5b34cae7e9b1036e14994f3b739607b26ba676e6cd56ad95ed5688c873df3232fc9782566b0bb5c2054aa04dd272b389a1eae8501af88 SHA512 8e76347f76a2b2889fb9a61c000ef7865f40b2ea261f59bfbf24bb8d0e4e7e2977ff283d31989f6892e371f4a9a4d4682a2cac3269070b2036cc37ea74af1b11
diff --git a/www-apps/icingaweb2/icingaweb2-2.5.1.ebuild b/www-apps/icingaweb2/icingaweb2-2.5.1.ebuild
new file mode 100644
index 00000000000..f3513d784a2
--- /dev/null
+++ b/www-apps/icingaweb2/icingaweb2-2.5.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit depend.apache eutils multilib user
+
+DESCRIPTION="Icinga Web 2 - Frontend for icinga2"
+HOMEPAGE="http://www.icinga.org/"
+SRC_URI="https://codeload.github.com/Icinga/${PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="apache2 ldap mysql nginx pdf postgres"
+REQUIRED_USE="^^ ( apache2 nginx )"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=net-analyzer/icinga2-2.1.1
+ dev-php/pecl-imagick
+ pdf? ( media-gfx/imagemagick[png] )
+ apache2? (
+ >=www-servers/apache-2.4.0
+ || (
+ dev-lang/php:5.6[apache2?,cli,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.0[apache2?,cli,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.1[apache2?,cli,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ )
+ )
+ nginx? (
+ >=www-servers/nginx-1.7.0:*
+ || (
+ dev-lang/php:5.6[apache2?,cli,fpm,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.0[apache2?,cli,fpm,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ dev-lang/php:7.1[apache2?,cli,fpm,gd,json,intl,ldap?,mysql?,nls,pdo,postgres?,sockets,ssl,xslt,xml]
+ )
+ )"
+RDEPEND="${DEPEND}"
+
+want_apache2
+
+pkg_setup() {
+ depend.apache_pkg_setup
+
+ enewgroup icingaweb2
+ enewgroup icingacmd
+ use nginx && usermod -a -G icingacmd,icingaweb2 nginx
+ use apache2 && usermod -a -G icingacmd,icingaweb2 apache
+}
+
+pkg_config() {
+ if [[ -d /etc/icingaweb2 ]] ; then
+ einfo "Updating existing installation ..."
+ else
+ einfo "Running first time setup ..."
+ einfo "Creating configuration directory ..."
+ /usr/share/${PN}/bin/icingacli setup config directory
+ einfo "Creating authentication token for web setup ..."
+ /usr/share/${PN}/bin/icingacli setup token create
+ if use apache2 ; then
+ einfo "The following might be useful for your Apache2 configuration:"
+ /usr/share/${PN}/bin/icingacli setup config webserver apache --document-root /usr/share/${PN}/public
+ fi
+ if use nginx ; then
+ einfo "The following might be useful for your NGinx configuration:"
+ /usr/share/${PN}/bin/icingacli setup config webserver nginx --document-root /usr/share/${PN}/public
+ fi
+ fi
+ einfo "All done."
+}
+
+src_install() {
+ insinto "/usr/share/${PN}"
+ doins -r "${S}"/*
+ fperms -R a+rX "/usr/share/${PN}/public/"
+ fperms u+x,g+x "/usr/share/${PN}/bin/icingacli"
+}
+
+pkg_postinst() {
+ einfo "Run 'emerge --config =${CATEGORY}/${PF}' to finish setup."
+}
next reply other threads:[~2018-01-23 7:34 UTC|newest]
Thread overview: 128+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-01-23 7:34 Matt Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-12 10:08 [gentoo-commits] repo/gentoo:master commit in: www-apps/icingaweb2/ Michał Górny
2024-10-12 9:44 Michał Górny
2024-06-29 23:29 Louis Sautier
2024-06-29 23:29 Louis Sautier
2024-06-29 23:29 Louis Sautier
2024-06-29 23:29 Louis Sautier
2024-01-16 21:30 Matthew Thode
2023-12-16 15:03 Matthew Thode
2023-11-16 19:14 Matthew Thode
2023-10-22 17:38 Matthew Thode
2023-09-29 16:50 Matthew Thode
2023-09-22 21:15 Matthew Thode
2023-03-27 17:25 Matthew Thode
2023-02-28 4:58 Matthew Thode
2023-02-16 0:33 Matthew Thode
2023-01-27 19:01 Matthew Thode
2023-01-15 19:46 Matthew Thode
2023-01-06 4:34 Matthew Thode
2022-12-15 17:44 Matthew Thode
2022-12-06 1:20 Matthew Thode
2022-11-06 5:02 Matthew Thode
2022-08-31 15:38 Matthew Thode
2022-08-11 0:30 Matthew Thode
2022-08-09 1:07 Matthew Thode
2022-08-01 3:13 Matthew Thode
2022-07-17 3:07 Matthew Thode
2022-07-07 15:56 Matthew Thode
2022-06-30 21:16 Matthew Thode
2022-06-30 21:16 Matthew Thode
2022-06-16 23:24 Matthew Thode
2022-06-07 21:09 Matthew Thode
2022-05-09 14:53 Matthew Thode
2022-05-07 15:58 Matthew Thode
2022-04-25 3:39 Matthew Thode
2022-04-08 4:02 Matthew Thode
2022-03-24 15:47 Matthew Thode
2022-03-10 3:22 Matthew Thode
2022-03-10 3:22 Matthew Thode
2022-03-10 3:22 Matthew Thode
2022-01-18 18:44 Matthew Thode
2022-01-11 16:18 Matthew Thode
2021-12-29 17:14 Matthew Thode
2021-12-18 18:56 Matthew Thode
2021-12-11 20:21 Matthew Thode
2021-11-19 1:18 Matthew Thode
2021-11-11 21:59 Matthew Thode
2021-11-07 15:46 Matthew Thode
2021-10-11 14:27 Matthew Thode
2021-09-13 13:55 Matthew Thode
2021-09-12 0:43 Matthew Thode
2021-08-17 2:18 Matthew Thode
2021-08-16 19:02 Matthew Thode
2021-08-13 15:36 Matthew Thode
2021-08-11 14:35 Matthew Thode
2021-07-28 16:13 Matthew Thode
2021-07-28 16:11 Matthew Thode
2021-07-14 4:31 Matthew Thode
2021-07-14 4:00 Matthew Thode
2021-07-10 14:28 Conrad Kostecki
2021-07-10 0:09 Conrad Kostecki
2021-07-10 0:09 Conrad Kostecki
2020-10-20 15:40 Matthew Thode
2020-08-20 15:36 Matthew Thode
2020-07-02 23:54 Matthew Thode
2020-06-29 21:47 Matthew Thode
2020-06-09 17:51 Matthew Thode
2019-11-18 15:28 Matthew Thode
2019-10-18 16:03 Matthew Thode
2019-10-18 4:20 Matthew Thode
2019-09-01 18:47 Matthew Thode
2019-08-15 16:38 Matthew Thode
2019-07-31 15:36 Matthew Thode
2019-05-24 18:13 Matthew Thode
2019-04-25 15:54 Matthew Thode
2019-01-01 17:10 Matthew Thode
2018-12-31 10:56 Matthew Thode
2018-12-30 22:45 Matthew Thode
2018-12-21 4:57 Matthew Thode
2018-11-21 18:50 Matthew Thode
2018-08-18 2:48 Matt Thode
2018-08-02 20:03 Matt Thode
2018-07-19 16:00 Matt Thode
2018-05-25 1:52 Matt Thode
2018-04-27 20:50 Matt Thode
2018-04-26 2:29 Matt Thode
2018-02-22 18:12 Matt Thode
2017-12-27 23:41 Matt Thode
2017-11-27 17:31 Matt Thode
2017-10-28 1:01 Matt Thode
2017-09-28 16:23 Matt Thode
2017-05-19 15:14 Matt Thode
2017-05-19 15:14 Matt Thode
2017-04-25 17:57 Matt Thode
2017-02-15 16:31 Matt Thode
2017-02-15 16:31 Matt Thode
2017-02-10 21:35 Matt Thode
2017-01-20 16:19 Matt Thode
2017-01-08 22:49 Matt Thode
2016-12-13 16:14 Matt Thode
2016-12-08 18:39 Matt Thode
2016-10-20 23:47 Matt Thode
2016-09-25 16:11 Matt Thode
2016-07-21 20:34 Matt Thode
2016-07-10 19:13 Matt Thode
2016-07-10 19:13 Matt Thode
2016-07-05 16:46 Matt Thode
2016-06-27 8:47 Agostino Sarubbo
2016-06-21 17:39 Matt Thode
2016-06-09 18:13 Matt Thode
2016-04-29 13:01 Agostino Sarubbo
2016-04-28 16:43 Matt Thode
2016-04-18 5:40 Matt Thode
2016-04-15 19:44 Matt Thode
2016-04-15 2:37 Matt Thode
2016-03-22 14:32 Agostino Sarubbo
2016-03-09 4:32 Matt Thode
2016-03-02 16:02 Matt Thode
2016-02-29 22:52 Matt Thode
2016-01-28 15:28 Matt Thode
2016-01-24 23:02 Matt Thode
2015-12-24 2:40 Matt Thode
2015-12-24 2:38 Matt Thode
2015-12-15 21:55 Matt Thode
2015-11-22 23:33 Matt Thode
2015-10-06 9:39 Mikle Kolyada
2015-10-05 4:35 Matt Thode
2015-10-05 4:29 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1516692837.d052cba5b9621faef0bedab3f5f685084349d16b.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox